curl --request POST \
--url https://melso.ai/api/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"harness": "<string>",
"description": "<string>",
"area_id": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"task_title_template": "<string>",
"subscribers": [
{
"user_type": "<string>",
"user_id": "<string>"
}
],
"triggers": [
{
"kind": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"label": "<string>",
"provider": "<string>",
"event_filters": [
{
"event": "<string>",
"actions": [
"<string>"
]
}
]
}
],
"enabled": true,
"idempotency_key": "<string>"
}
'import requests
url = "https://melso.ai/api/automations"
payload = {
"title": "<string>",
"harness": "<string>",
"description": "<string>",
"area_id": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"task_title_template": "<string>",
"subscribers": [
{
"user_type": "<string>",
"user_id": "<string>"
}
],
"triggers": [
{
"kind": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"label": "<string>",
"provider": "<string>",
"event_filters": [
{
"event": "<string>",
"actions": ["<string>"]
}
]
}
],
"enabled": True,
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
harness: '<string>',
description: '<string>',
area_id: '<string>',
model: '<string>',
thinking_level: '<string>',
service_tier: '<string>',
task_title_template: '<string>',
subscribers: [{user_type: '<string>', user_id: '<string>'}],
triggers: [
{
kind: '<string>',
cron_expression: '<string>',
timezone: '<string>',
label: '<string>',
provider: '<string>',
event_filters: [{event: '<string>', actions: ['<string>']}]
}
],
enabled: true,
idempotency_key: '<string>'
})
};
fetch('https://melso.ai/api/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'harness' => '<string>',
'description' => '<string>',
'area_id' => '<string>',
'model' => '<string>',
'thinking_level' => '<string>',
'service_tier' => '<string>',
'task_title_template' => '<string>',
'subscribers' => [
[
'user_type' => '<string>',
'user_id' => '<string>'
]
],
'triggers' => [
[
'kind' => '<string>',
'cron_expression' => '<string>',
'timezone' => '<string>',
'label' => '<string>',
'provider' => '<string>',
'event_filters' => [
[
'event' => '<string>',
'actions' => [
'<string>'
]
]
]
]
],
'enabled' => true,
'idempotency_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/automations"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"harness\": \"<string>\",\n \"description\": \"<string>\",\n \"area_id\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"task_title_template\": \"<string>\",\n \"subscribers\": [\n {\n \"user_type\": \"<string>\",\n \"user_id\": \"<string>\"\n }\n ],\n \"triggers\": [\n {\n \"kind\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"timezone\": \"<string>\",\n \"label\": \"<string>\",\n \"provider\": \"<string>\",\n \"event_filters\": [\n {\n \"event\": \"<string>\",\n \"actions\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"enabled\": true,\n \"idempotency_key\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/api/automations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"harness\": \"<string>\",\n \"description\": \"<string>\",\n \"area_id\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"task_title_template\": \"<string>\",\n \"subscribers\": [\n {\n \"user_type\": \"<string>\",\n \"user_id\": \"<string>\"\n }\n ],\n \"triggers\": [\n {\n \"kind\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"timezone\": \"<string>\",\n \"label\": \"<string>\",\n \"provider\": \"<string>\",\n \"event_filters\": [\n {\n \"event\": \"<string>\",\n \"actions\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"enabled\": true,\n \"idempotency_key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"harness\": \"<string>\",\n \"description\": \"<string>\",\n \"area_id\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"task_title_template\": \"<string>\",\n \"subscribers\": [\n {\n \"user_type\": \"<string>\",\n \"user_id\": \"<string>\"\n }\n ],\n \"triggers\": [\n {\n \"kind\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"timezone\": \"<string>\",\n \"label\": \"<string>\",\n \"provider\": \"<string>\",\n \"event_filters\": [\n {\n \"event\": \"<string>\",\n \"actions\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"enabled\": true,\n \"idempotency_key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"company_commit_sha": "<string>",
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"description": "<string>",
"area_id": "<string>",
"harness": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"source_recipe_key": "<string>",
"execution_owner_id": "<string>",
"status": "<string>",
"pause_reason": "<string>",
"task_title_template": "<string>",
"created_by_type": "<string>",
"created_by_id": "<string>",
"last_invoked_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"subscribers": [
{
"user_type": "<string>",
"user_id": "<string>",
"delivery": "<string>",
"created_at": "<string>"
}
],
"my_delivery": "<string>",
"trigger_kinds": [
"<string>"
],
"next_fire_at": "<string>",
"last_invocation_status": "<string>",
"can_write": true,
"can_manage_access": true
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Create automation
Definition edits require company write permission and the Automation creator/admin/collaborator management rules.
Request: title:string, harness:string; optional description:string|null, area_id:UUID|null, model:string|null, thinking_level:string|null, service_tier:string|null, task_title_template:string|null, subscribers:[{user_type:"member",user_id:UUID}], triggers:array (trigger definitions, created together with the Automation), idempotency_key:string.
Response: AutomationResponse.
Status: 201; 400 validation; 403 write denied; 409 activation conflict. Authentication and resource-access errors follow Overview.
curl --request POST \
--url https://melso.ai/api/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"harness": "<string>",
"description": "<string>",
"area_id": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"task_title_template": "<string>",
"subscribers": [
{
"user_type": "<string>",
"user_id": "<string>"
}
],
"triggers": [
{
"kind": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"label": "<string>",
"provider": "<string>",
"event_filters": [
{
"event": "<string>",
"actions": [
"<string>"
]
}
]
}
],
"enabled": true,
"idempotency_key": "<string>"
}
'import requests
url = "https://melso.ai/api/automations"
payload = {
"title": "<string>",
"harness": "<string>",
"description": "<string>",
"area_id": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"task_title_template": "<string>",
"subscribers": [
{
"user_type": "<string>",
"user_id": "<string>"
}
],
"triggers": [
{
"kind": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"label": "<string>",
"provider": "<string>",
"event_filters": [
{
"event": "<string>",
"actions": ["<string>"]
}
]
}
],
"enabled": True,
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
harness: '<string>',
description: '<string>',
area_id: '<string>',
model: '<string>',
thinking_level: '<string>',
service_tier: '<string>',
task_title_template: '<string>',
subscribers: [{user_type: '<string>', user_id: '<string>'}],
triggers: [
{
kind: '<string>',
cron_expression: '<string>',
timezone: '<string>',
label: '<string>',
provider: '<string>',
event_filters: [{event: '<string>', actions: ['<string>']}]
}
],
enabled: true,
idempotency_key: '<string>'
})
};
fetch('https://melso.ai/api/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'harness' => '<string>',
'description' => '<string>',
'area_id' => '<string>',
'model' => '<string>',
'thinking_level' => '<string>',
'service_tier' => '<string>',
'task_title_template' => '<string>',
'subscribers' => [
[
'user_type' => '<string>',
'user_id' => '<string>'
]
],
'triggers' => [
[
'kind' => '<string>',
'cron_expression' => '<string>',
'timezone' => '<string>',
'label' => '<string>',
'provider' => '<string>',
'event_filters' => [
[
'event' => '<string>',
'actions' => [
'<string>'
]
]
]
]
],
'enabled' => true,
'idempotency_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/automations"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"harness\": \"<string>\",\n \"description\": \"<string>\",\n \"area_id\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"task_title_template\": \"<string>\",\n \"subscribers\": [\n {\n \"user_type\": \"<string>\",\n \"user_id\": \"<string>\"\n }\n ],\n \"triggers\": [\n {\n \"kind\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"timezone\": \"<string>\",\n \"label\": \"<string>\",\n \"provider\": \"<string>\",\n \"event_filters\": [\n {\n \"event\": \"<string>\",\n \"actions\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"enabled\": true,\n \"idempotency_key\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/api/automations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"harness\": \"<string>\",\n \"description\": \"<string>\",\n \"area_id\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"task_title_template\": \"<string>\",\n \"subscribers\": [\n {\n \"user_type\": \"<string>\",\n \"user_id\": \"<string>\"\n }\n ],\n \"triggers\": [\n {\n \"kind\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"timezone\": \"<string>\",\n \"label\": \"<string>\",\n \"provider\": \"<string>\",\n \"event_filters\": [\n {\n \"event\": \"<string>\",\n \"actions\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"enabled\": true,\n \"idempotency_key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"harness\": \"<string>\",\n \"description\": \"<string>\",\n \"area_id\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"task_title_template\": \"<string>\",\n \"subscribers\": [\n {\n \"user_type\": \"<string>\",\n \"user_id\": \"<string>\"\n }\n ],\n \"triggers\": [\n {\n \"kind\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"timezone\": \"<string>\",\n \"label\": \"<string>\",\n \"provider\": \"<string>\",\n \"event_filters\": [\n {\n \"event\": \"<string>\",\n \"actions\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"enabled\": true,\n \"idempotency_key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"company_commit_sha": "<string>",
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"description": "<string>",
"area_id": "<string>",
"harness": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"source_recipe_key": "<string>",
"execution_owner_id": "<string>",
"status": "<string>",
"pause_reason": "<string>",
"task_title_template": "<string>",
"created_by_type": "<string>",
"created_by_id": "<string>",
"last_invoked_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"subscribers": [
{
"user_type": "<string>",
"user_id": "<string>",
"delivery": "<string>",
"created_at": "<string>"
}
],
"my_delivery": "<string>",
"trigger_kinds": [
"<string>"
],
"next_fire_at": "<string>",
"last_invocation_status": "<string>",
"can_write": true,
"can_manage_access": true
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Stable request key for a company definition edit.
Response
Successful response.
Show child attributes
Show child attributes